complexType "Calculation"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 4 elements
Defined: | globally in fpml-ird-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | notionalSchedule, (fixedRateSchedule | rateCalculation), dayCountFraction
</...>

Content Model Elements (4):

  dayCountFraction (in calculation in calculationPeriodAmount),
  fixedRateSchedule,
  notionalSchedule,
  rateCalculation

All Direct / Indirect Based Elements (1):

  calculation (in calculationPeriodAmount)

Known Usage Locations

- As direct type of elements (1):
  calculation (in calculationPeriodAmount)

Annotation
A type definining the parameters used in the calculation of fixed or floating calculation period amounts.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="Calculation"> <xsd:sequence> <!--View Generation: Removed a degenerate choice.--> <xsd:element name="notionalSchedule" type="Notional"/> <xsd:choice> <xsd:sequence> <xsd:element name="fixedRateSchedule" type="Schedule"/> <!--View Generation: SKIPPED futureValueNotional - NonStandardFeature--> </xsd:sequence> <xsd:element ref="rateCalculation"/> </xsd:choice> <xsd:element name="dayCountFraction" type="DayCountFraction"/> <!--View Generation: SKIPPED discounting - Documentation--> <!--View Generation: SKIPPED compoundingMethod - TBD--> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
dayCountFraction

  Type: | DayCountFraction, simple content

  The day count fraction.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="dayCountFraction" type="DayCountFraction"/>

fixedRateSchedule

  Type: | Schedule, complex content

  The fixed rate or fixed rate schedule expressed as explicit fixed rates and dates. In the case of a schedule, the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="fixedRateSchedule" type="Schedule"/>

notionalSchedule

  Type: | Notional, complex content

  The notional amount or notional amount schedule.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="notionalSchedule" type="Notional"/>

rateCalculation

  Type: | Rate, empty content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 2 elements

  This element is the head of a substitution group. It is substituted by the floatingRateCalculation element for standard Floating Rate legs, or the inflationRateCalculation element for inflation swaps.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element ref="rateCalculation"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.